Closed Bug 1447118 Opened 2 years ago Closed 5 months ago

Intermittent devtools/client/debugger/new/test/mochitest/browser_dbg-sourcemaps-bogus.js | Test timed out -

Categories

(DevTools :: Debugger, defect, P5)

defect

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: intermittent-bug-filer, Unassigned)

Details

(Keywords: intermittent-failure, Whiteboard: [stockwell disabled][stockwell needswork])

Attachments

(1 file)

Filed by: apavel [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=169002866&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/aelBBmgGRz2STfRcs4OWDw/runs/0/artifacts/public/logs/live_backing.log

[task 2018-03-19T19:24:14.851Z] 19:24:14     INFO - Buffered messages logged at 19:22:45
[task 2018-03-19T19:24:14.858Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.859Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.861Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.862Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.865Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.866Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.867Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.868Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.869Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.870Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.871Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.872Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-03-19T19:24:14.873Z] 19:24:14     INFO - Toolbox opened and focused
[task 2018-03-19T19:24:14.873Z] 19:24:14     INFO - Buffered messages logged at 19:22:46
[task 2018-03-19T19:24:14.874Z] 19:24:14     INFO - Waiting for state change: selected source
[task 2018-03-19T19:24:14.874Z] 19:24:14     INFO - Console message: [JavaScript Warning: "Source map error: request failed with status 404
[task 2018-03-19T19:24:14.875Z] 19:24:14     INFO - Resource URL: http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/bogus-map.js
[task 2018-03-19T19:24:14.875Z] 19:24:14     INFO - Source Map URL: bogus.map"]
[task 2018-03-19T19:24:14.875Z] 19:24:14     INFO - Buffered messages logged at 19:23:29
[task 2018-03-19T19:24:14.875Z] 19:24:14     INFO - Longer timeout required, waiting longer...  Remaining timeouts: 1
[task 2018-03-19T19:24:14.877Z] 19:24:14     INFO - Buffered messages logged at 19:23:41
[task 2018-03-19T19:24:14.878Z] 19:24:14     INFO - Console message: [JavaScript Error: "getScreenshot error: Unix error 2 during operation open on file /tmp/tmpHTjgQM.mozrunner/thumbnails/54523c3d003a9d032f628e6e27a56801.png (No such file or directory)" {file: "resource://activity-stream/lib/Screenshots.jsm" line: 64}]
[task 2018-03-19T19:24:14.878Z] 19:24:14     INFO - getScreenshotForURL@resource://activity-stream/lib/Screenshots.jsm:64:7
[task 2018-03-19T19:24:14.878Z] 19:24:14     INFO - async*maybeCacheScreenshot@resource://activity-stream/lib/Screenshots.jsm:107:32
[task 2018-03-19T19:24:14.880Z] 19:24:14     INFO - async*_fetchIcon@resource://activity-stream/lib/TopSitesFeed.jsm:185:13
[task 2018-03-19T19:24:14.880Z] 19:24:14     INFO - async*getLinksWithDefaults@resource://activity-stream/lib/TopSitesFeed.jsm:134:9
[task 2018-03-19T19:24:14.882Z] 19:24:14     INFO - async*refresh@resource://activity-stream/lib/TopSitesFeed.jsm:153:25
[task 2018-03-19T19:24:14.882Z] 19:24:14     INFO - async*onAction@resource://activity-stream/lib/TopSitesFeed.jsm:311:9
[task 2018-03-19T19:24:14.883Z] 19:24:14     INFO - _middleware/</<@resource://activity-stream/lib/Store.jsm:49:11
[task 2018-03-19T19:24:14.884Z] 19:24:14     INFO - Store/this[method]@resource://activity-stream/lib/Store.jsm:28:55
[task 2018-03-19T19:24:14.885Z] 19:24:14     INFO - init/this.intervalId<@resource://activity-stream/lib/SystemTickFeed.jsm:18:41
[task 2018-03-19T19:24:14.886Z] 19:24:14     INFO - notify@resource://gre/modules/Timer.jsm:44:7
[task 2018-03-19T19:24:14.887Z] 19:24:14     INFO - 
[task 2018-03-19T19:24:14.889Z] 19:24:14     INFO - Buffered messages finished
[task 2018-03-19T19:24:14.891Z] 19:24:14     INFO - TEST-UNEXPECTED-FAIL | devtools/client/debugger/new/test/mochitest/browser_dbg-sourcemaps-bogus.js | Test timed out - 
[task 2018-03-19T19:24:14.893Z] 19:24:14     INFO - Removing tab.
[task 2018-03-19T19:24:14.894Z] 19:24:14     INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2018-03-19T19:24:14.895Z] 19:24:14     INFO - Got event: 'TabClose' on [object XULElement].
[task 2018-03-19T19:24:14.896Z] 19:24:14     INFO - Tab removed and finished closing
[task 2018-03-19T19:24:14.897Z] 19:24:14     INFO - GECKO(1847) | MEMORY STAT | vsize 2698MB | residentFast 392MB | heapAllocated 138MB
[task 2018-03-19T19:24:14.898Z] 19:24:14     INFO - TEST-OK | devtools/client/debugger/new/test/mochitest/browser_dbg-sourcemaps-bogus.js | took 90353ms
[task 2018-03-19T19:24:14.899Z] 19:24:14     INFO - checking window state
This bug has occurred 50 times in the last 7 days on Linux affecting asan, debug, pgo and opt build types.
Link to a recent log: https://treeherder.mozilla.org/logviewer.html#?repo=mozilla-inbound&job_id=175643613&lineNumber=6751
Part of that log:
00:14:58     INFO - TEST-INFO | started process screentopng
[task 2018-04-26T00:14:59.397Z] 00:14:59     INFO - TEST-INFO | screentopng: exit 0
[task 2018-04-26T00:14:59.399Z] 00:14:59     INFO - Buffered messages logged at 00:13:28
[task 2018-04-26T00:14:59.400Z] 00:14:59     INFO - Entering test bound 
[task 2018-04-26T00:14:59.401Z] 00:14:59     INFO - Adding a new tab with URL: http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/doc-sourcemap-bogus.html
[task 2018-04-26T00:14:59.402Z] 00:14:59     INFO - Tab added and finished loading
[task 2018-04-26T00:14:59.403Z] 00:14:59     INFO - Opening the toolbox
[task 2018-04-26T00:14:59.404Z] 00:14:59     INFO - Buffered messages logged at 00:13:29
[task 2018-04-26T00:14:59.405Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.407Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.408Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.411Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.411Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.411Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.414Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.417Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.418Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.422Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.423Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.427Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.427Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.429Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.432Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.434Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-26T00:14:59.435Z] 00:14:59     INFO - Toolbox opened and focused
[task 2018-04-26T00:14:59.437Z] 00:14:59     INFO - Buffered messages logged at 00:13:30
[task 2018-04-26T00:14:59.438Z] 00:14:59     INFO - Waiting for state change: selected source
[task 2018-04-26T00:14:59.439Z] 00:14:59     INFO - Console message: [JavaScript Warning: "Source map error: request failed with status 404
[task 2018-04-26T00:14:59.441Z] 00:14:59     INFO - Resource URL: http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/bogus-map.js
[task 2018-04-26T00:14:59.441Z] 00:14:59     INFO - Source Map URL: bogus.map"]
[task 2018-04-26T00:14:59.442Z] 00:14:59     INFO - Buffered messages logged at 00:14:10
[task 2018-04-26T00:14:59.443Z] 00:14:59     INFO - Console message: [JavaScript Error: "getScreenshot(http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/doc-scripts.html) failed: Unix error 2 during operation open on file /tmp/tmpgsMgMb.mozrunner/thumbnails/54523c3d003a9d032f628e6e27a56801.png (No such file or directory)" {file: "resource://activity-stream/lib/Screenshots.jsm" line: 76}]
[task 2018-04-26T00:14:59.444Z] 00:14:59     INFO - getScreenshotForURL@resource://activity-stream/lib/Screenshots.jsm:76:7
[task 2018-04-26T00:14:59.444Z] 00:14:59     INFO - async*maybeCacheScreenshot@resource://activity-stream/lib/Screenshots.jsm:130:32
[task 2018-04-26T00:14:59.445Z] 00:14:59     INFO - async*_fetchScreenshot@resource://activity-stream/lib/TopSitesFeed.jsm:226:11
[task 2018-04-26T00:14:59.445Z] 00:14:59     INFO - async*_fetchIcon@resource://activity-stream/lib/TopSitesFeed.jsm:214:11
[task 2018-04-26T00:14:59.447Z] 00:14:59     INFO - async*getLinksWithDefaults@resource://activity-stream/lib/TopSitesFeed.jsm:159:11
[task 2018-04-26T00:14:59.447Z] 00:14:59     INFO - async*refresh@resource://activity-stream/lib/TopSitesFeed.jsm:175:25
[task 2018-04-26T00:14:59.449Z] 00:14:59     INFO - async*onAction@resource://activity-stream/lib/TopSitesFeed.jsm:388:9
[task 2018-04-26T00:14:59.449Z] 00:14:59     INFO - _middleware/</<@resource://activity-stream/lib/Store.jsm:51:11
[task 2018-04-26T00:14:59.451Z] 00:14:59     INFO - Store/this[method]@resource://activity-stream/lib/Store.jsm:29:55
[task 2018-04-26T00:14:59.451Z] 00:14:59     INFO - init/this.intervalId<@resource://activity-stream/lib/SystemTickFeed.jsm:18:41
[task 2018-04-26T00:14:59.452Z] 00:14:59     INFO - notify@resource://gre/modules/Timer.jsm:44:7
[task 2018-04-26T00:14:59.452Z] 00:14:59     INFO - 
[task 2018-04-26T00:14:59.454Z] 00:14:59     INFO - Buffered messages logged at 00:14:13
[task 2018-04-26T00:14:59.455Z] 00:14:59     INFO - Longer timeout required, waiting longer...  Remaining timeouts: 1
[task 2018-04-26T00:14:59.457Z] 00:14:59     INFO - Buffered messages finished
[task 2018-04-26T00:14:59.457Z] 00:14:59     INFO - TEST-UNEXPECTED-FAIL | devtools/client/debugger/new/test/mochitest/browser_dbg-sourcemaps-bogus.js | Test timed out - 
[task 2018-04-26T00:14:59.457Z] 00:14:59     INFO - Removing tab.
[task 2018-04-26T00:14:59.458Z] 00:14:59     INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2018-04-26T00:14:59.459Z] 00:14:59     INFO - Got event: 'TabClose' on [object XULElement].
[task 2018-04-26T00:14:59.460Z] 00:14:59     INFO - Tab removed and finished closing
[task 2018-04-26T00:14:59.461Z] 00:14:59     INFO - GECKO(1041) | MEMORY STAT | vsize 2565MB | residentFast 368MB | heapAllocated 133MB

:jlast could you please take a look at this bug?
Flags: needinfo?(jlaster)
Whiteboard: [stockwell needswork]
Was at a work week this week. I'll take a look on monday.
Flags: needinfo?(jlaster)
I'm unfortunately not able to see the logs for these runs

https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?bug=1447118&startday=2018-04-23&endday=2018-04-29&tree=trunk

do you see them when you click "view details"?
:jlast I can see the logs by clicking "View details"
(In reply to Jason Laster [:jlast] from comment #15)
> I'm unfortunately not able to see the logs for these runs
> 
> https://treeherder.mozilla.org/intermittent-failures.html#/
> bugdetails?bug=1447118&startday=2018-04-23&endday=2018-04-29&tree=trunk
> 
> do you see them when you click "view details"?

in the bug details, please click on view details as Cristina mentined. This is the most recent failure log from orange factor:
https://treeherder.mozilla.org/logviewer.html#?job_id=176225533&repo=autoland&lineNumber=6794



[task 2018-04-29T23:56:35.441Z] 23:56:35     INFO - TEST-START | devtools/client/debugger/new/test/mochitest/browser_dbg-sourcemaps-bogus.js
[task 2018-04-29T23:56:36.007Z] 23:56:36     INFO - GECKO(1040) | [ACTION] ADD_SOURCES  - {"type":"ADD_SOURCES","sources":[{"id":"server1.conn49.child1/source25","url":"http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/bogus-map.js","isPrettyPrinted":false,"isWasm":false,"sourceMapURL":"bogus.map","isBlackBoxed":false,"loadedState":"unloaded"}]}
[task 2018-04-29T23:56:36.063Z] 23:56:36     INFO - GECKO(1040) | [ACTION] SET_WORKERS  - {"type":"SET_WORKERS","workers":[]}
[task 2018-04-29T23:56:36.064Z] 23:56:36     INFO - GECKO(1040) | [ACTION] CONNECT  - {"type":"CONNECT","url":"http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/doc-sourcemap-bogus.html"}
[task 2018-04-29T23:56:36.181Z] 23:56:36     INFO - GECKO(1040) | [ACTION] SET_EXPANDED_STATE  - {"type":"SET_EXPANDED_STATE","expanded":{}}
[task 2018-04-29T23:56:36.197Z] 23:56:36     INFO - GECKO(1040) | [ACTION] SET_ORIENTATION  - {"type":"SET_ORIENTATION","orientation":"horizontal"}
[task 2018-04-29T23:56:36.314Z] 23:56:36     INFO - GECKO(1040) | [ACTION] TOGGLE_ACTIVE_SEARCH  - {"type":"TOGGLE_ACTIVE_SEARCH","value":null}
[task 2018-04-29T23:56:36.316Z] 23:56:36     INFO - GECKO(1040) | [ACTION] ADD_TAB  - {"type":"ADD_TAB","source":{"id":"server1.conn49.child1/source25","url":"http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/bogus-map.js","sourceMapURL":"bogus.map","isBlackBoxed":false,"isPrettyPrinted":false,"isWasm":false,"contentType":"","loadedState":"unloaded"},"tabIndex":0}
[task 2018-04-29T23:56:36.331Z] 23:56:36     INFO - GECKO(1040) | [ACTION] SELECT_SOURCE  - {"type":"SELECT_SOURCE","source":{"id":"server1.conn49.child1/source25","url":"http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/bogus-map.js","sourceMapURL":"bogus.map","isBlackBoxed":false,"isPrettyPrinted":false,"isWasm":false,"contentType":"","loadedState":"unloaded"},"location":{"sourceId":"server1.conn49.child1/source25"}}
[task 2018-04-29T23:56:36.551Z] 23:56:36     INFO - GECKO(1040) | [ACTION] LOAD_SOURCE_TEXT [start] - {"type":"LOAD_SOURCE_TEXT","sourceId":"server1.conn49.child1/source25","seqId":"1","status":"start"}
[task 2018-04-29T23:56:36.632Z] 23:56:36     INFO - GECKO(1040) | [ACTION] LOAD_SOURCE_TEXT [done] - {"type":"LOAD_SOURCE_TEXT","sourceId":"server1.conn49.child1/source25","seqId":"1","status":"done","value":{"id":"server1.conn49.child1/source25","text":"","contentType":"text/javascript"}}
[task 2018-04-29T23:56:36.754Z] 23:56:36     INFO - GECKO(1040) | [ACTION] SET_SYMBOLS [start] - {}
[task 2018-04-29T23:56:36.771Z] 23:56:36     INFO - GECKO(1040) | [ACTION] OUT_OF_SCOPE_LOCATIONS  - {}
[task 2018-04-29T23:56:36.771Z] 23:56:36     INFO - GECKO(1040) | [ACTION] IN_SCOPE_LINES  - {}
[task 2018-04-29T23:56:36.795Z] 23:56:36     INFO - GECKO(1040) | [ACTION] UPDATE_SOURCE  - {"type":"UPDATE_SOURCE","source":{"id":"server1.conn49.child1/source25","url":"http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/bogus-map.js","sourceMapURL":"","isBlackBoxed":false,"isPrettyPrinted":false,"isWasm":false,"contentType":"","loadedState":"unloaded"}}
[task 2018-04-29T23:56:36.851Z] 23:56:36     INFO - GECKO(1040) | [ACTION] SET_SYMBOLS [done] - {}
[task 2018-04-29T23:58:05.480Z] 23:58:05     INFO - TEST-INFO | started process screentopng
[task 2018-04-29T23:58:06.052Z] 23:58:06     INFO - TEST-INFO | screentopng: exit 0
[task 2018-04-29T23:58:06.053Z] 23:58:06     INFO - Buffered messages logged at 23:56:35
[task 2018-04-29T23:58:06.055Z] 23:58:06     INFO - Entering test bound 
[task 2018-04-29T23:58:06.056Z] 23:58:06     INFO - Adding a new tab with URL: http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/doc-sourcemap-bogus.html
[task 2018-04-29T23:58:06.059Z] 23:58:06     INFO - Tab added and finished loading
[task 2018-04-29T23:58:06.061Z] 23:58:06     INFO - Opening the toolbox
[task 2018-04-29T23:58:06.061Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.062Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.065Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.066Z] 23:58:06     INFO - Buffered messages logged at 23:56:36
[task 2018-04-29T23:58:06.067Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.067Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.068Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.069Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.072Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.072Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.074Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.075Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.077Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.082Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.100Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.101Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xlink." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.102Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Removed unsafe attribute. Element: svg. Attribute: xmlns." {file: "resource://devtools/shared/base-loader.js -> resource://devtools/client/shared/vendor/react-dom.js" line: 11623}]
[task 2018-04-29T23:58:06.102Z] 23:58:06     INFO - Toolbox opened and focused
[task 2018-04-29T23:58:06.103Z] 23:58:06     INFO - Waiting for state change: selected source
[task 2018-04-29T23:58:06.107Z] 23:58:06     INFO - Console message: [JavaScript Warning: "Source map error: request failed with status 404
[task 2018-04-29T23:58:06.107Z] 23:58:06     INFO - Resource URL: http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/bogus-map.js
[task 2018-04-29T23:58:06.109Z] 23:58:06     INFO - Source Map URL: bogus.map"]
[task 2018-04-29T23:58:06.110Z] 23:58:06     INFO - Buffered messages logged at 23:57:20
[task 2018-04-29T23:58:06.111Z] 23:58:06     INFO - Longer timeout required, waiting longer...  Remaining timeouts: 1
[task 2018-04-29T23:58:06.112Z] 23:58:06     INFO - Buffered messages logged at 23:57:30
[task 2018-04-29T23:58:06.120Z] 23:58:06     INFO - Console message: [JavaScript Error: "getScreenshot(http://example.com/browser/devtools/client/debugger/new/test/mochitest/examples/doc-scripts.html) failed: Unix error 2 during operation open on file /tmp/tmp9oNRvv.mozrunner/thumbnails/54523c3d003a9d032f628e6e27a56801.png (No such file or directory)" {file: "resource://activity-stream/lib/Screenshots.jsm" line: 76}]
[task 2018-04-29T23:58:06.121Z] 23:58:06     INFO - getScreenshotForURL@resource://activity-stream/lib/Screenshots.jsm:76:7
[task 2018-04-29T23:58:06.122Z] 23:58:06     INFO - async*maybeCacheScreenshot@resource://activity-stream/lib/Screenshots.jsm:130:32
[task 2018-04-29T23:58:06.123Z] 23:58:06     INFO - async*_fetchScreenshot@resource://activity-stream/lib/TopSitesFeed.jsm:231:11
[task 2018-04-29T23:58:06.123Z] 23:58:06     INFO - async*_fetchIcon@resource://activity-stream/lib/TopSitesFeed.jsm:219:11
[task 2018-04-29T23:58:06.124Z] 23:58:06     INFO - async*getLinksWithDefaults@resource://activity-stream/lib/TopSitesFeed.jsm:158:11
[task 2018-04-29T23:58:06.124Z] 23:58:06     INFO - async*refresh@resource://activity-stream/lib/TopSitesFeed.jsm:180:25
[task 2018-04-29T23:58:06.125Z] 23:58:06     INFO - async*onAction@resource://activity-stream/lib/TopSitesFeed.jsm:393:9
[task 2018-04-29T23:58:06.126Z] 23:58:06     INFO - _middleware/</<@resource://activity-stream/lib/Store.jsm:51:11
[task 2018-04-29T23:58:06.126Z] 23:58:06     INFO - Store/this[method]@resource://activity-stream/lib/Store.jsm:29:55
[task 2018-04-29T23:58:06.126Z] 23:58:06     INFO - init/this.intervalId<@resource://activity-stream/lib/SystemTickFeed.jsm:18:41
[task 2018-04-29T23:58:06.126Z] 23:58:06     INFO - notify@resource://gre/modules/Timer.jsm:44:7
[task 2018-04-29T23:58:06.127Z] 23:58:06     INFO - 
[task 2018-04-29T23:58:06.127Z] 23:58:06     INFO - Buffered messages finished
[task 2018-04-29T23:58:06.127Z] 23:58:06     INFO - TEST-UNEXPECTED-FAIL | devtools/client/debugger/new/test/mochitest/browser_dbg-sourcemaps-bogus.js | Test timed out - 
[task 2018-04-29T23:58:06.129Z] 23:58:06     INFO - Removing tab.
[task 2018-04-29T23:58:06.130Z] 23:58:06     INFO - Waiting for event: 'TabClose' on [object XULElement].
[task 2018-04-29T23:58:06.130Z] 23:58:06     INFO - Got event: 'TabClose' on [object XULElement].
[task 2018-04-29T23:58:06.131Z] 23:58:06     INFO - Tab removed and finished closing
[task 2018-04-29T23:58:06.133Z] 23:58:06     INFO - GECKO(1040) | MEMORY STAT | vsize 2595MB | residentFast 377MB | heapAllocated 133MB
[task 2018-04-29T23:58:06.134Z] 23:58:06     INFO - TEST-OK | devtools/client/debugger/new/test/mochitest/browser_dbg-sourcemaps-bogus.js | took 90429ms
[task 2018-04-29T23:58:06.136Z] 23:58:06     INFO - checking window state

Let us know if we can provide any other details.
Flags: needinfo?(jlaster)
Comment on attachment 8971971 [details] [diff] [review]
disable_linux_bug1447118

Review of attachment 8971971 [details] [diff] [review]:
-----------------------------------------------------------------

great work here
Attachment #8971971 - Flags: review?(jmaher) → review+
Whiteboard: [stockwell disable-recommended] → [stockwell disabled]
Pushed by apavel@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/af5e83fa681a
disable browser_dbg-sourcemaps-bogus.js for frequent Linux failures. r=jmaher
Keywords: checkin-needed
Flags: needinfo?(jlaster)
Product: Firefox → DevTools
In the last 7 days there have been 50 occurrences on Linux 64, Os X, Windows 7 32 and Windows 10 64, build types Asan, Debug, Opt, Pgo.
Whiteboard: [stockwell disabled] → [stockwell disabled][stockwell needswork]
Status: NEW → RESOLVED
Closed: 5 months ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.